Package org.jfree.report.structure

# Class Node

java.lang.Object
org.jfree.report.structure.Node

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `Element`, `StaticText`

public abstract class Node extends Object implements Serializable, Cloneable
A node is the most basic unit in a report. It acts as general superclass for all other elements.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Node()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`Expression`
`getDisplayCondition()`
`Group`
`getGroup()`
`Locale`
`getLocale()`
`Node`
`getParent()`
`ReportDefinition`
`getReport()`
`JFreeReport`
`getRootReport()`
`boolean`
`isEnabled()`
`protected void`
`setParent(Node parent)`
`void`
`updateParent(Node parent)`
This is an extra method to allow me to track all *illegal* write-accesses to the parent.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Node

protected Node()

## Method Details

### getParent

public Node getParent()

### setParent

protected void setParent(Node parent)

### updateParent

public void updateParent(Node parent)
This is an extra method to allow me to track all *illegal* write-accesses to the parent.

Parameters:
  `parent` -

### getGroup

public Group getGroup()

### getReport

public ReportDefinition getReport()

### getRootReport

public JFreeReport getRootReport()

### getLocale

public Locale getLocale()

### getDisplayCondition

public Expression getDisplayCondition()

### isEnabled

public boolean isEnabled()

### clone

public Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`